<div class="col-sm-<?= (int)PI_DIMENSIONS_CONTENT_WIDTH ?> pi-dimensions mb-2">
  <ul class="list-group">
  <?php
  while($dimensions = $dimensions_query->fetch_assoc()){
	echo '<li class="list-group-item d-flex justify-content-between align-items-center">'
	     . $dimensions['dimensions_name'] . ':&nbsp;';
    if(!empty($dimensions['dimensions_converts_to'])){
	  echo '<span class="badge badge-primary badge-pill alternate-scale" style="display: none;">' 
		   . $this->recalculate($dimensions['dimensions_value'], $dimensions['dimensions_default'], $dimensions['dimensions_converts_to'], $dimensions['dimensions_round']) 
		   . '</span>'
		   . '<span class="badge badge-primary badge-pill default-scale">' 
		 . $this->format_values($dimensions['dimensions_value'], $dimensions['dimensions_default'], $dimensions['dimensions_round'], $dimensions['dimensions_prepend'], $dimensions['dimensions_append']) 
		 . '</span>'
		 . '</li>';
	} else {
	echo '<span class="badge badge-primary badge-pill">' 
		 . $this->format_values($dimensions['dimensions_value'], $dimensions['dimensions_default'], $dimensions['dimensions_round'], $dimensions['dimensions_prepend'], $dimensions['dimensions_append']) 
		 . '</span>'
		 . '</li>';
	}
  }
  if (!Text::is_empty($products_weight)) {
  ?>
    <li class="list-group-item d-flex justify-content-between align-items-center">
	  <?= PI_DIMENSIONS_SHOW_WEIGHT ?>
	  <span class="badge badge-primary badge-pill alternate-scale" style="display: none;"> <?= number_format($weight['alt_value'], 2, $weight['decimal'], $weight['separator']) . '&nbsp;' . $weight['alt_append'] ?> </span>
	  <span class="badge badge-primary badge-pill default-scale"> <?= number_format($weight['value'], 2, $weight['decimal'], $weight['separator']) . '&nbsp;' . $weight['append'] ?> </span>
	</li>
<?php
  }
?>  
  </ul>
  <?= new Button(PI_DIMENSIONS_SWITCH_SCALE, 'fas fa-weight', 'btn-block btn-lg', ['type' => 'button', 'onclick' => 'alternateScale()']); ?>   
</div>
<script>
function alternateScale() {
   var defaultScale = document.getElementsByClassName("default-scale"); 
   var alternateScale = document.getElementsByClassName("alternate-scale");

   for (let i = 0; i < defaultScale.length; i++) {
   defaultScale[i].style.display = (
       defaultScale[i].style.display == "none" ? "block" : "none"); 
   alternateScale[i].style.display = (
       alternateScale[i].style.display == "none" ? "block" : "none");
   }
}
</script>
<?php
/*
  $Id$

  CE Phoenix, E-Commerce made Easy
  https://phoenixcart.org

  Copyright (c) 2021 Phoenix Cart

  Released under the GNU General Public License
*/
?>
